- entityDefinitions:
  - IDM_Product__get__Product_Style_Name: '{93246f8d-fda8-47fe-8340-352f3378fc07}'
  - IDMB_Product__get__Product_Style_Name: '{af2a82e9-94c0-4ba4-b4cb-7bcc86114a60}'
- library: '&IDL_MochaBaseSystem;'
  instances:
  - getReferencedAttributeMethod: '&IDM_Product__get__Product_Style_Name;'
    forClassId: '&IDC_Product;'
    returnsAttributeId: '&IDA_Name;'
    verb: 'get'
    name: 'Product Style Name'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDMB_Product__get__Product_Style;'
    answerAttribute: '&IDMB_Product_Style__get__Name;'
    singular: yes
    
  - returnAttributeMethodBinding: '&IDMB_Product__get__Product_Style_Name;'
    executesMethod: '&IDM_Product__get__Product_Style_Name;'
